### Hierarchy

- Account
  - AccountObject
    - WalletAccountObject

## Index

### Constructors

- constructor

### Properties

- encrypt
- sign
- signTransaction

### Accessors

- address
- privateExtendedKey
- privateKey
- publicExtendedKey
- publicKey
- seed

### Methods

- deriveChild
- derivePath

## Constructors

### constructor

- new AccountObject(config?: HDAccountConfig): AccountObject

- Inherited from Account.constructor

  - Defined in cs/accounts/account.ts:8

  #### Parameters

  - ##### Default value config: HDAccountConfig = {}

  #### Returns AccountObject

## Properties

### encrypt

encrypt: function

- Defined in cs/accounts/index.ts:474

#### Type declaration

- - (password: string, options?: EncryptOptions): EncryptResult

  - #### Parameters

    - ##### password: string

    - ##### Optional options: EncryptOptions

    #### Returns EncryptResult

### sign

sign: function

- Defined in cs/accounts/index.ts:475

#### Type declaration

- - (data: any): SignResult

  - #### Parameters

    - ##### data: any

    #### Returns SignResult

### signTransaction

signTransaction: function

- Defined in cs/accounts/index.ts:476

#### Type declaration

- - (): any

  - #### Returns any

## Accessors

### address

- get address(): string

- Inherited from Account.address

  - Defined in cs/accounts/account.ts:39

  #### Returns string

### privateExtendedKey

- get privateExtendedKey(): string

- Inherited from Account.privateExtendedKey

  - Defined in cs/accounts/account.ts:43

  #### Returns string

### privateKey

- get privateKey(): string

- Inherited from Account.privateKey

  - Defined in cs/accounts/account.ts:28

  #### Returns string

### publicExtendedKey

- get publicExtendedKey(): string

- Inherited from Account.publicExtendedKey

  - Defined in cs/accounts/account.ts:50

  #### Returns string

### publicKey

- get publicKey(): string

- Inherited from Account.publicKey

  - Defined in cs/accounts/account.ts:35

  #### Returns string

### seed

- get seed(): string

- Inherited from Account.seed

  - Defined in cs/accounts/account.ts:21

  #### Returns string

## Methods

### deriveChild

- deriveChild(index: number): Account

- Inherited from Account.deriveChild

  - Defined in cs/accounts/account.ts:77

  derive the private key from the index

  ### Example

      const newAccount = accountInstance.deriveChild(1)
      // => [Object Account]

  #### Parameters

  - ##### index: number

  #### Returns Account

### derivePath

- derivePath(path: string): Account

- Inherited from Account.derivePath

  - Defined in cs/accounts/account.ts:63

  derive the private key from the path

  ### Example

      const newAccount = accountInstance.derivePath("m/44'/1")
      // => [Object Account]

  #### Parameters

  - ##### path: string

  #### Returns Account

Generated using TypeDoc